Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
genkernel bzw xconfig Problem
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Wed Mar 18, 2009 8:32 pm    Post subject: genkernel bzw xconfig Problem Reply with quote

Hallo,

ich möchte unbedingt ein kleines System... deshalb hatte ich bis dato kein qt

jetzt habe ich jedoch folgenden Fehler beim Aufruf von make xconfig

Code:
COMMAND: make -j2 CC="gcc" LD="ld" AS="as" ARCH="x86" 
* config: >> Invoking xconfig...
COMMAND: make -j2 CC="gcc" LD="ld" AS="as" ARCH="x86" 
  HOSTCC  scripts/basic/fixdep
  HOSTCC  scripts/basic/docproc
  CHECK   qt
*
* Unable to find the QT3 installation. Please make sure that
* the QT3 development package is correctly installed and
* either install pkg-config or set the QTDIR environment
* variable to the correct location.


Bloß welches von den vielen QT Paketen ist das development Packat? geht auch qt4?

G. R.
Back to top
View user's profile Send private message
manuels
Advocate
Advocate


Joined: 22 Nov 2003
Posts: 2146
Location: Europe

PostPosted: Wed Mar 18, 2009 8:35 pm    Post subject: Reply with quote

Wenn du ein kleines System haben möchte, nutz doch einfach
Code:
make menuconfig

_________________
Build your own live cd with catalyst 2.0!
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Thu Mar 19, 2009 8:40 am    Post subject: Reply with quote

manuels wrote:
Wenn du ein kleines System haben möchte, nutz doch einfach
Code:
make menuconfig


Das hatte ich bis jetzt auch immer gemacht. Es sollte aber ein wenig schöner sein... ;-)

G.R.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3710
Location: Germany

PostPosted: Thu Mar 19, 2009 7:09 pm    Post subject: Re: genkernel bzw xconfig Problem Reply with quote

Tinitus wrote:
Hallo,

ich möchte unbedingt ein kleines System... deshalb hatte ich bis dato kein qt

Und nun willst du dir nur für "xconfig" das dicke qt Paket installieren 8O

Aber nun gut, wenn du den unbedingt möchtest, bringt dir ein
Code:
emerge -av qt:3
die benötigte Version in dein bisher schlankes System :wink:
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Thu Mar 19, 2009 7:25 pm    Post subject: Re: genkernel bzw xconfig Problem Reply with quote

Josef.95 wrote:
Tinitus wrote:
Hallo,

ich möchte unbedingt ein kleines System... deshalb hatte ich bis dato kein qt

Und nun willst du dir nur für "xconfig" das dicke qt Paket installieren 8O

Aber nun gut, wenn du den unbedingt möchtest, bringt dir ein
Code:
emerge -av qt:3
die benötigte Version in dein bisher schlankes System :wink:


Ich brauche doch aber nur die

QT3 development Pakete....

also bestimmt nur irgendwelche Bibliotheken, oder?

nicht das ganze QT.....deshalb auch meine Frage.....

G. R.
Back to top
View user's profile Send private message
XMath
Guru
Guru


Joined: 14 Aug 2004
Posts: 435
Location: Germany, Gaimersheim

PostPosted: Sat Mar 21, 2009 7:45 am    Post subject: Reply with quote

Moin,
klar benötigst du sicherlich für "make xconfig" nur die entsprechenden Bibliotheken.

Aber:
Wo kommen die bei Gentoo her?
Aus dem Sourcecode, der wiederum auf deinem Rechner in die Bibliotheken kompiliert werden will ;)
Back to top
View user's profile Send private message
misterjack
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1618
Location: Germany -> Saxony -> Leipzig

PostPosted: Sat Mar 21, 2009 9:09 am    Post subject: Reply with quote

wie wärs mit make gconfig?
_________________
„Meine Meinung steht fest! Bitte verwirren Sie mich nicht mit Tatsachen.“
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3257
Location: de

PostPosted: Sat Mar 21, 2009 12:29 pm    Post subject: Re: genkernel bzw xconfig Problem Reply with quote

Tinitus wrote:
nicht das ganze QT.....deshalb auch meine Frage.....

Da meines Wissens nach die QT3 nicht als Split-Paket erhältlich ist, wirst du wohl nicht drumherum kommen, das ganze qt3-Paket + Abhängigkeiten zu installieren, wenn du unbedingt xconfig verwenden willst.
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Sat Apr 24, 2010 1:36 pm    Post subject: Reply with quote

Und nun habe wir wieder das Problem. :(
QT4 ist nicht freigegeben und QT3 gibt es nicht mehr. Kann mir jemand sagen, wie ich xconfig wieder zum Laufen bekomme?
Back to top
View user's profile Send private message
Hollowman
Guru
Guru


Joined: 19 Apr 2007
Posts: 584

PostPosted: Sat Apr 24, 2010 2:06 pm    Post subject: Reply with quote

Hi

Klar ist Qt4 freigegeben. Nur nicht mehr das qt Paket. Das ist wie bei KDE. Das sind jetzt split ebuilds.

Mach einfach man eix qt. Dann siehst du was ich meine.

Quote:
# Ben de Groot <yngwin@gentoo.org> (25 Jun 2009)
# Mask the Qt4 meta ebuild, to prevent devs from being silly and depend on
# the meta ebuild instead of on the specific split Qt ebuilds needed. See
# bug 217161 comment 11. Users may unmask this if they want to pull in all
# Qt modules, but packages in portage (or overlays) will pull in the split
# modules they need as dependency. Unmasking this will most likely pull in
# more than you need. This meta ebuild will be removed when we can add sets
# to the portage tree.


Sebastian
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Sat Apr 24, 2010 5:36 pm    Post subject: Reply with quote

Danke für die Info, doch ich hätte es als Richtiger empfunden, wenn man die Abhängigkeiten des Kernels gleich auf das richtige QT-4 Paket gesetzt hätte. Zumal offensichtlich die "offensichtlichen" Pakete wie core, gui, qt3suppot installiert sind. Nun muss ich leider raten. :(

Hast Du vielleicht die richtige Paketinfo für mich? :?:
Back to top
View user's profile Send private message
XMath
Guru
Guru


Joined: 14 Aug 2004
Posts: 435
Location: Germany, Gaimersheim

PostPosted: Sun Apr 25, 2010 6:09 am    Post subject: Reply with quote

Moin,
du brauchst:
Code:
x11-libs/qt-core
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Sun Apr 25, 2010 7:41 am    Post subject: Reply with quote

Ich glaube, dass kannst du dir alles sparen. make xconfig verlangt bei mir ausdrücklich nach qt3. Ich habe qt4 bei mir drauf, damit geht es nicht.
Back to top
View user's profile Send private message
XMath
Guru
Guru


Joined: 14 Aug 2004
Posts: 435
Location: Germany, Gaimersheim

PostPosted: Sun Apr 25, 2010 8:22 am    Post subject: Reply with quote

Und das hier:
Code:
x11-libs/qt-qt3support


Hilft das?
Ich hab bei mir noch das "alte" x11-libs/qt in 3.3.8 drauf.
Deswegen bin ich mir nicht sicher, was man für make xconfig nun genau benötigt.
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Sun Apr 25, 2010 8:25 am    Post subject: Reply with quote

XMath wrote:
Und das hier:
Code:
x11-libs/qt-qt3support


Hilft das?
Ich hab bei mir noch das "alte" x11-libs/qt in 3.3.8 drauf.
Deswegen bin ich mir nicht sicher, was man für make xconfig nun genau benötigt.


Nö, das Flag qt3support muss gesetzt sein, irgend ein Paket will das so. Bei mir ist qt-qt3support drauf, geht trotzdem nicht.
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Sun Apr 25, 2010 8:59 am    Post subject: Reply with quote

Dito. Bei mir sind eben die Pakete und das qt3-Flag auch gesetzt. Nur habe ich qt:3 schon durch depclean runter geschmissen und dadurch passiert leider nichts mehr.

Das gconfig würde ja vielleicht auch gehen, doch da ist keine wirkliche Suchfunktion drin. :(
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3118
Location: Berlin

PostPosted: Sun May 23, 2010 6:31 am    Post subject: Reply with quote

Soll jetzt einen qt4 Patch geben.
https://bugs.gentoo.org/320761
War noch nie in der Verlegenheit einen Patch einspielen zu müssen. Vielleicht kann mir jemand an Hand dieses Beispiels auf die Sprünge helfen?
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3710
Location: Germany

PostPosted: Sun May 23, 2010 10:28 am    Post subject: Reply with quote

flammenflitzer wrote:
Soll jetzt einen qt4 Patch geben.
https://bugs.gentoo.org/320761
War noch nie in der Verlegenheit einen Patch einspielen zu müssen. Vielleicht kann mir jemand an Hand dieses Beispiels auf die Sprünge helfen?

Siehe zb:Wie man einen Patch einspielt
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4410

PostPosted: Sun May 23, 2010 10:58 am    Post subject: Reply with quote

flammenflitzer wrote:
Soll jetzt einen qt4 Patch geben.
https://bugs.gentoo.org/320761

Der Patch soll schlecht sein, weil er nicht wirklich nach Qt4 portiert, sondern den Umweg über die Qt3Support-Lib geht ;)
Back to top
View user's profile Send private message
schmidicom
Veteran
Veteran


Joined: 09 Mar 2006
Posts: 1590
Location: Schweiz

PostPosted: Wed Nov 17, 2010 1:21 pm    Post subject: Reply with quote

flammenflitzer wrote:
Soll jetzt einen qt4 Patch geben.
https://bugs.gentoo.org/320761
War noch nie in der Verlegenheit einen Patch einspielen zu müssen. Vielleicht kann mir jemand an Hand dieses Beispiels auf die Sprünge helfen?


Also ich hab es mit diesem Patch nicht hin bekommen aber mit dem hier hat es bei mir "2.6.35.8" bestens funktioniert:
https://patchwork.kernel.org/patch/111829/

geh in das Verzeichnis wo dein Kernel liegt (normalerweise /usr/src/linux/) und führe folgenden Befehl aus:
Code:
patch -p1 < patchfile

_________________
GPG: 0x3FC78AEE51E5FB95


Last edited by schmidicom on Wed Nov 17, 2010 4:45 pm; edited 4 times in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3710
Location: Germany

PostPosted: Wed Nov 17, 2010 2:01 pm    Post subject: Reply with quote

Ich habe xconfig noch nie genutzt, konnte mir aber nicht vorstellen das es mit Qt4 immer noch nicht funktionieren soll. Bei einem Test (mit einem 36er Kernel) klappt das aber nun wieder, ja auch ohne manuelles patchen.
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Wed Nov 17, 2010 2:05 pm    Post subject: Reply with quote

Wow ja. 2.6.36-r1 ohne Patch! Habe schon fast vergessen, dass es xconfig überhaupt gibt. Danke für den Hinweis. :)
Back to top
View user's profile Send private message
schmidicom
Veteran
Veteran


Joined: 09 Mar 2006
Posts: 1590
Location: Schweiz

PostPosted: Wed Nov 17, 2010 3:29 pm    Post subject: Reply with quote

Josef.95 wrote:
Ich habe xconfig noch nie genutzt, konnte mir aber nicht vorstellen das es mit Qt4 immer noch nicht funktionieren soll. Bei einem Test (mit einem 36er Kernel) klappt das aber nun wieder, ja auch ohne manuelles patchen.


Meinst du damit den Kernel aus Portage oder den von www.kernel.org?
_________________
GPG: 0x3FC78AEE51E5FB95
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Wed Nov 17, 2010 3:40 pm    Post subject: Reply with quote

schmidicom wrote:
Meinst du damit den Kernel aus Portage oder den von www.kernel.org?

Portage.
Back to top
View user's profile Send private message
astaecker
Guru
Guru


Joined: 28 Apr 2003
Posts: 403
Location: Hamburg / Germany

PostPosted: Wed Nov 17, 2010 4:21 pm    Post subject: Reply with quote

Allerdings nur in den gentoo-sources. Upstream und damit auch in den vanilla-sources gibt es noch keine Unterstützung für Qt4.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum